{
  "description": "OpenContainer Image Manifest Specification",
  "$schema": "http://json-schema.org/draft-04/schema#",
  "id": "https://opencontainers.org/schema/image/manifest",
  "type": "object",
  "properties": {
    "schemaVersion": {
      "description": "This field specifies the image manifest schema version as an integer",
      "id": "https://opencontainers.org/schema/image/manifest/schemaVersion",
      "type": "integer",
      "minimum": 2,
      "maximum": 2
    },
    "mediaType": {
      "description": "the mediatype of the referenced object",
      "$ref": "defs-descriptor.json#/definitions/mediaType"
    },
    "artifactType": {
      "description": "the artifact mediatype of the referenced object",
      "$ref": "defs-descriptor.json#/definitions/mediaType"
    },
    "config": {
      "$ref": "content-descriptor.json"
    },
    "subject": {
      "$ref": "content-descriptor.json"
    },
    "layers": {
      "type": "array",
      "minItems": 1,
      "items": {
        "$ref": "content-descriptor.json"
      }
    },
    "annotations": {
      "id": "https://opencontainers.org/schema/image/manifest/annotations",
      "$ref": "defs-descriptor.json#/definitions/annotations"
    }
  },
  "required": [
    "schemaVersion",
    "config",
    "layers"
  ]
}
